V1 and V2Available Filters
Get available asset filters
Get a list of available asset filters
This endpoint lists the available search fields when filtering assets and operations that can be carried on each field. For a description of every field returned from this endpoint, please check Asset section in this guide.
This endpoint DOES NOT support the use of the "TEXT_SEARCH" operator
A complete list of operators and their meanings is available in the main section of filters.
NOTE:The most up-to-date list of attributes and operations is always returned for this endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET 'https://example.com/api/v1/filters/asset'{ "data": [ { "attributes": [ { "filter_type": "TextAttribute", "key": "status", "operators": [ "like", "eq", "!eq" ] }, { "filter_type": "MultiSelectAttribute", "key": "file_type", "operators": [ "in", "!in" ], "options": [ "IMAGES", "SOUNDS", "VIDEOS", "COMPRESSED", "REPORTS", "TEXTS", "OTHER" ] }, { "filter_type": "BooleanAttribute", "key": "assigned", "operators": [ "eq" ] }, { "filter_type": "DecimalAttribute", "key": "file_size", "operators": [ "eq", "!eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "TextAttribute", "key": "id", "operators": [ "eq", "!eq", "in", "!in" ] }, { "filter_type": "HierarchyAttribute", "key": "categories", "operators": [ "exists", "!exists", "in", "!in" ] }, { "filter_type": "TextAttribute", "key": "extension", "operators": [ "like", "eq", "!eq" ] }, { "filter_type": "DateAttribute", "key": "created", "operators": [ "eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "DateAttribute", "key": "modified", "operators": [ "eq", "gt", "gte", "lt", "lte" ] }, { "filter_type": "TextAttribute", "key": "filename", "operators": [ "like", "eq", "!eq" ] } ] } ]}